package domain

type AlibabaWdkCouponSkuAddFailElement struct {
	/*
	   错误信息     */
	ErrorMsg *string `json:"error_msg,omitempty" `

	/*
	   参与者id     */
	ParticipateId *string `json:"participate_id,omitempty" `

	/*
	   参与者名称     */
	ParticipateName *string `json:"participate_name,omitempty" `
}

func (s *AlibabaWdkCouponSkuAddFailElement) SetErrorMsg(v string) *AlibabaWdkCouponSkuAddFailElement {
	s.ErrorMsg = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddFailElement) SetParticipateId(v string) *AlibabaWdkCouponSkuAddFailElement {
	s.ParticipateId = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddFailElement) SetParticipateName(v string) *AlibabaWdkCouponSkuAddFailElement {
	s.ParticipateName = &v
	return s
}
